Bug 462168 - foobillard fails to start unless dejavu-fonts is installed
foobillard fails to start unless dejavu-fonts is installed
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: foobillard (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-13 05:23 EDT by Radek Bíba
Modified: 2008-09-24 20:27 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 20:06:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Bíba 2008-09-13 05:23:49 EDT
Description of problem:
I tried to launch foobillard from the menu, but nothing happened. An attempt to run it from a command line failed too, but help message was printed, alas it didn't provide any explanation of the failure. Strace helped:

...
open("/usr/share/fonts/dejavu/DejaVuSans-Bold.ttf", O_RDONLY) = -1 ENOENT (No such file or directory)
write(2, "another error code means that th"..., 100another error code means that the font file could not e opened or read, or simply that it is broken
) = 100
rt_sigaction(SIGINT, {SIG_DFL}, {0x1c73b0, [INT], SA_RESTART}, 8) = 0
rt_sigaction(SIGTERM, {SIG_DFL}, {0x1c73b0, [TERM], SA_RESTART}, 8) = 0
...

When I installed dejavu-fonts, which provides the font file in question, foobillard was happy again (and so was I).

Version-Release number of selected component (if applicable):
foobillard-3.0a-6.fc8

How reproducible:
Always unless one has dejavu-fonts.

Additional info:
I guess the right thing to do here is to add Requires: dejavu-fonts.
Comment 1 Miloslav Trmač 2008-09-15 15:04:51 EDT
Fixed in foobillard-3.0a-8.  Thanks for your report.
Comment 2 Fedora Update System 2008-09-15 15:17:03 EDT
foobillard-3.0a-8.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/foobillard-3.0a-8.fc8
Comment 3 Fedora Update System 2008-09-15 15:17:05 EDT
foobillard-3.0a-8.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/foobillard-3.0a-8.fc9
Comment 4 Fedora Update System 2008-09-16 19:18:47 EDT
foobillard-3.0a-8.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update foobillard'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8071
Comment 5 Fedora Update System 2008-09-16 19:29:50 EDT
foobillard-3.0a-8.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update foobillard'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8142
Comment 6 Fedora Update System 2008-09-24 20:06:19 EDT
foobillard-3.0a-8.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-09-24 20:27:09 EDT
foobillard-3.0a-8.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.